classification
Title: don't try to link _ctypes with a ffi_convenience library
Type: Stage:
Components: Build Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: doko, python-dev, twouters, zach.ware
Priority: normal Keywords:

Created on 2014-04-16 22:44 by doko, last changed 2016-06-04 23:39 by doko. This issue is now closed.

Messages (5)
msg216614 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-04-16 22:44
the ffi_convenience library was once built and installed with oldish GCC versions. Either remove it completely from the search path, or search for  the standard libffi system library.

--- a/setup.py
+++ b/setup.py
@@ -1939,7 +1939,7 @@
                         break
         ffi_lib = None
         if ffi_inc is not None:
-            for lib_name in ('ffi_convenience', 'ffi_pic', 'ffi'):
+            for lib_name in ('ffi', 'ffi_convenience', 'ffi_pic', 'ffi'):
                 if (self.compiler.find_library_file(lib_dirs, lib_name)):
                     ffi_lib = lib_name
                     break
msg216627 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-04-16 23:58
the list of libs should be just: ('ffi', 'ffi_pic')
msg216787 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2014-04-18 16:39
I don't understand the story with ffi_convenience here. Perhaps someone else on python-dev remembers what it was for and whether we need it for any platforms, still?
msg258557 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-01-18 22:40
It's not easy to find anything with a google search for 'ffi_convenience' that's not this issue.  I did find doko's patch to GCC to not install libffi_convenience, which included a comment from the author of libffi saying he didn't recommend that GCC install libffi_convenience in the first place[1].

For the record, #1464444 is the issue that added the line in question in the first place.

[1] https://www.sourceware.org/ml/libffi-discuss/2013/msg00125.html
msg267347 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-04 23:38
New changeset 0a8509023c09 by doko in branch 'default':
- Issue #21277: Don't try to link _ctypes with a ffi_convenience library.
https://hg.python.org/cpython/rev/0a8509023c09
History
Date User Action Args
2016-06-04 23:39:08dokosetstatus: open -> closed
resolution: fixed
2016-06-04 23:38:39python-devsetnosy: + python-dev
messages: + msg267347
2016-01-18 22:40:56zach.waresetnosy: + zach.ware

messages: + msg258557
versions: + Python 3.6, - Python 3.4
2014-04-18 16:39:54twouterssetmessages: + msg216787
2014-04-17 15:59:55dokosetnosy: + twouters
2014-04-16 23:58:47dokosetmessages: + msg216627
2014-04-16 22:44:26dokocreate